c
c     Copyright (c) 1999,2000, Compaq Computer Corporation
c
c     See the file "license.terms" for information on usage and redistribution
c     of this file, and for a DISCLAIMER OF ALL WARRANTIES.
c
      subroutine praray (nn,mm,feld,head,dim,renor,n,m,xx,yy,ifmt,
     1                   charh, charv)
      implicit none
*
***   praray - print an array.
*
*     s.selberherr   1981   tu vienna
*
      include 'const.h'
c
      integer nn, mm, n, m
      real feld(nn,mm),xx(n),yy(m), renor
      integer ifmt, i, j, k, n1, n2
      character *(*) head,dim
      character *1 charh, charv
      character *23 fmts(3),fmt
c
      include 'sysdep.cmn'
      include 'io.cmn'
      include 'units.cmn'
c
      data fmts(1) /'(t2,f8.4,t11,1p12e10.2)'/
      data fmts(2) /'(t2,f8.4,t11,12f10.3)  '/
      data fmts(3) /'(t2,f8.4,t11,12f10.0)  '/

**    start of executable code.
*     *************************
*

      fmt=fmts(ifmt)
      do 20 k=1,(n+11)/12
      n1=k*12-11
      n2=min(n,k*12)

*     print header
      write (luprint,'('' '')')
      write (luprint,'(t11,a,t61,a,t70,''Part:'',i2)') head,dim,k
      write (luprint,'('' '',3x,a1,'' ->'',2x,12f10.4)')
     1       charh, (pm_scale_cm2plot*xx(i),i=n1,n2)
      write (luprint,'('' '',4x,a1)') charv

*     print array                                                               
      do 20 j=1,m                                                               
 20   write (luprint,fmt) pm_scale_cm2plot*yy(j),
     1                    (feld(i,j)*renor,i=n1,n2)


      end                                                                       
